import React from 'react';
import { FoundationListDataConsumer } from '@billogram/foundation-list-data-provider';
import FoundationTable from './FoundationTable';
export default function FoundationTableDataConsumer(_ref) {
  var additionalRowData = _ref.additionalRowData,
      columns = _ref.columns,
      EmptyState = _ref.EmptyState,
      isSearchResult = _ref.isSearchResult,
      searchFields = _ref.searchFields,
      searchTerms = _ref.searchTerms,
      subTitle = _ref.subTitle,
      tableName = _ref.tableName,
      TableRow = _ref.TableRow,
      TableRowExpandResultGroup = _ref.TableRowExpandResultGroup,
      title = _ref.title,
      titleFilter = _ref.titleFilter;
  return /*#__PURE__*/React.createElement(FoundationListDataConsumer, null, function (_ref2) {
    var fetchInitial = _ref2.fetchInitial,
        fetchMore = _ref2.fetchMore,
        fetchSort = _ref2.fetchSort,
        removeItem = _ref2.removeItem,
        result = _ref2.result,
        updateItem = _ref2.updateItem;
    return /*#__PURE__*/React.createElement(FoundationTable, {
      additionalRowData: additionalRowData,
      columns: columns,
      EmptyState: EmptyState,
      fetchInitial: fetchInitial,
      fetchMore: fetchMore,
      fetchSort: fetchSort,
      isSearchResult: isSearchResult,
      removeItem: removeItem,
      searchFields: searchFields,
      searchTerms: searchTerms,
      subTitle: subTitle,
      table: result,
      tableName: tableName,
      TableRow: TableRow,
      TableRowExpandResultGroup: TableRowExpandResultGroup,
      title: title,
      titleFilter: titleFilter,
      updateItem: updateItem
    });
  });
}
//# sourceMappingURL=FoundationTableDataConsumer.js.map