import React from 'react';
import type { FoundationTableRowConsumerProps, FoundationTableRowContextType, FoundationTableRowProviderProps } from '../types';
import './FoundationTableRowContext.scss';
export declare const FoundationTableRowContext: React.Context<FoundationTableRowContextType<any>>;
export declare function FoundationTableRowProvider<TRowData, TAdditionalRowData = unknown, TAdvancedSearchTerms = never>({ additionalData, columns, fetchInitial, isFetching, isLast, isOdd, isSearchResult, item, removeItem, searchFields, searchTerms, TableRow, TableRowExpandResultGroup, updateItem, }: FoundationTableRowProviderProps<TRowData, TAdditionalRowData, TAdvancedSearchTerms>): React.ReactElement;
export declare function FoundationTableRowConsumer<TRowData>({ children, }: FoundationTableRowConsumerProps<TRowData>): React.ReactElement;
export declare function useTableRow<TRowData>(): FoundationTableRowContextType<TRowData>;
