import React from 'react';
import purebem from 'purebem';
import { useTableRow } from '../row/FoundationTableRowContext';
import './FoundationTableRowSearchResult.scss';
export default function FoundationTableRowSearchResult(_ref) {
  var children = _ref.children,
      title = _ref.title;
  var block = purebem('foundation-table-row-search-result');

  var _useTableRow = useTableRow(),
      expand = _useTableRow.expand,
      handle = _useTableRow.handle,
      highlight = _useTableRow.highlight;

  return /*#__PURE__*/React.createElement("tr", {
    className: block({
      expanded: expand.value,
      handled: handle.value,
      highlighted: highlight.value
    })
  }, /*#__PURE__*/React.createElement("th", {
    className: block('title')
  }, title), /*#__PURE__*/React.createElement("td", {
    className: block('value')
  }, children));
}
//# sourceMappingURL=FoundationTableRowSearchResult.js.map