import React from 'react';
import type { FoundationListDataProviderData } from '@billogram/foundation-list-data-provider';
import type { FoundationTableDataProviderProps } from './types';
export default function FoundationTableDataProvider<TRowData, TData extends FoundationListDataProviderData<TRowData> = FoundationListDataProviderData<TRowData>>({ children, fetchData, initialFetchDataOptions, initialLimit, initialSortBy, initialSortDirection, }: FoundationTableDataProviderProps<TRowData, TData>): React.ReactElement;
